Package org.kie.api.runtime.conf

## Class TimedRuleExecutionOption

- java.lang.Object
- - org.kie.api.runtime.conf.TimedRuleExecutionOption

- All Implemented Interfaces:
    `java.io.Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`, `SingleValueRuleRuntimeOption`
  Direct Known Subclasses:
    `TimedRuleExecutionOption.FILTERED`

      public class TimedRuleExecutionOption
      extends java.lang.Object
      implements SingleValueRuleRuntimeOption

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TimedRuleExecutionOption.FILTERED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OptionKey<TimedRuleExecutionOption>` | `KEY` |
    `static TimedRuleExecutionOption` | `NO` |
    `static java.lang.String` | `PROPERTY_NAME` |
    `static TimedRuleExecutionOption` | `YES` |

    - ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TimedRuleExecutionFilter` | `getFilter()` |
    `java.lang.String` | `getPropertyName()` |
    `static TimedRuleExecutionOption` | `resolve​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `type`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### KEY

          public static OptionKey<TimedRuleExecutionOption> KEY

    - #### YES

          public static final TimedRuleExecutionOption YES

    - #### NO

          public static final TimedRuleExecutionOption NO

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getFilter

          public TimedRuleExecutionFilter getFilter()

    - #### resolve

          public static TimedRuleExecutionOption resolve​(java.lang.String value)